From: Sven Eckelmann <sven@narfation.org>
Date: Wed, 30 Dec 2015 22:24:41 +0100
Subject: Documentation: Force xmlto encoding to UTF-8

The s3d packages on Debian are currently not reproducible on Debian because
the encoding of the HTML files depends on the locale of the system. Instead
the encoding should always be forced to UTF-8
---
 Documentation/CMakeLists.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/Documentation/CMakeLists.txt b/Documentation/CMakeLists.txt
index f3d1a52..6fa038e 100644
--- a/Documentation/CMakeLists.txt
+++ b/Documentation/CMakeLists.txt
@@ -11,7 +11,7 @@ if (DOCBOOK2HTML_COMPILER)
 	add_custom_command(
 		OUTPUT  ${Documentation_BINARY_DIR}/doc_output/index.html
 		COMMAND ${DOCBOOK2HTML_COMPILER}
-		ARGS    ${DOCBOOK2HTML_ARGS} ${Documentation_SOURCE_DIR}/s3d.docbook -o ${Documentation_BINARY_DIR}/doc_output
+		ARGS    --stringparam chunker.output.encoding=UTF-8 ${DOCBOOK2HTML_ARGS} ${Documentation_SOURCE_DIR}/s3d.docbook -o ${Documentation_BINARY_DIR}/doc_output
 		DEPENDS ${Documentation_SOURCE_DIR}/s3d.docbook
 			${Documentation_SOURCE_DIR}/bookinfo.docbook
 			${Documentation_SOURCE_DIR}/server/server.docbook
